﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote39_TouchDraw_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private Color m_sTempColor;
        // 마우스 클릭 또는 터치펜으로 화면 터치시의 해당 X좌표
        private int m_iPreXPos;
        // 마우스 클릭 또는 터치펜으로 화면 터치시의 해당 Y좌표
        private int m_iPreYPos;

        // Pen Color
        private string[] m_strPenColor = { "Black", "Red", "Blue", "Green", "Yellow", "Beige" };

        private void Form1_Load(object sender, EventArgs e)
        {
            smartForm1.MainForm = this;

            smartComboBox1.DataSource = m_strPenColor;
            smartComboBox1.SelectItemIndex = 0;
        }

        private Color GetColor(string strColor)
        {
            // 초기 색상
            Color retColor = Color.Black;

            switch (strColor)
            {
                case "Black":
                    retColor = Color.Black;
                    break;
                case "Red":
                    retColor = Color.Red;
                    break;
                case "Blue":
                    retColor = Color.Blue;
                    break;
                case "Green":
                    retColor = Color.Green;
                    break;
                case "Yellow":
                    retColor = Color.Yellow;
                    break;
                case "Beige":
                    retColor = Color.Beige;
                    break;
                default:
                    break;
            }

            return retColor;
        }

        // SmartDraw에서 Mouse나 터치를 이동하는 경우 발생되는 이벤트
        private void smartDraw1_MouseMove(object sender, MouseEventArgs e)
        {
            smartDraw1.Line(m_iPreXPos, m_iPreYPos, e.X, e.Y);
            m_iPreXPos = e.X;
            m_iPreYPos = e.Y;
        }

        // SmartDraw에서 Mouse클릭이나 터치하는 경우 발생되는 이벤트
        private void smartDraw1_MouseDown(object sender, MouseEventArgs e)
        {
            m_sTempColor = GetColor(smartComboBox1.Text);
            // Erase 버튼이 눌려있는 경우 Pen색상을 흰색으로 설정하여 지우개처럼 사용합니다.
            if (btnErase.ButtonStatus == SmartX.SmartButton.BUTSTATUS.DOWN)
            {
                m_sTempColor = Color.White;
            }
            smartDraw1.SetPenStyle(m_sTempColor, Convert.ToInt32(smartUpDown1.Value));

            m_iPreXPos = e.X;
            m_iPreYPos = e.Y;
        }

        private void btnAllClear_Click(object sender, EventArgs e)
        {
            smartDraw1.Erase();
        }

        // File Open기능
        private void btnFileOpen_Click(object sender, EventArgs e)
        {
            Bitmap img = new Bitmap(labFilePath.Text);
            smartDraw1.ImageDraw(img, 0, 0);
        }

        // File Save기능
        private void btnFileSave_Click(object sender, EventArgs e)
        {
            smartDraw1.Save(labFilePath.Text);
            Application.DoEvents();
        }

        private void labFilePath_Click(object sender, EventArgs e)
        {
            smartKeyboard1.Show();
            smartKeyboard1.TargetInputObject = labFilePath;
        }
    }
}