﻿Public Class Form1

    Private m_sTempColor As Color
    ' 마우스 클릭 또는 터치펜으로 화면 터치시의 해당 X좌표
    Private m_iPreXPos As Integer
    ' 마우스 클릭 또는 터치펜으로 화면 터치시의 해당 Y좌표
    Private m_iPreYPos As Integer

    ' Pen Color
    Private m_strPenColor As String() = {"Black", "Red", "Blue", "Green", "Yellow", "Beige"}

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
        SmartForm1.MainForm = Me

        smartComboBox1.DataSource = m_strPenColor
        smartComboBox1.SelectItemIndex = 0
    End Sub

    Private Function GetColor(ByVal strColor As String) As Color
        ' 초기 색상
        Dim retColor As Color = Color.Black

        Select Case strColor
            Case "Black"
                retColor = Color.Black
            Case "Red"
                retColor = Color.Red
            Case "Blue"
                retColor = Color.Blue
            Case "Green"
                retColor = Color.Green
            Case "Yellow"
                retColor = Color.Yellow
            Case "Beige"
                retColor = Color.Beige
            Case Else
        End Select

        Return retColor
    End Function

    ' SmartDraw에서 Mouse나 터치를 이동하는 경우 발생되는 이벤트
    Private Sub smartDraw1_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs) Handles smartDraw1.MouseMove
        smartDraw1.Line(m_iPreXPos, m_iPreYPos, e.X, e.Y)
        m_iPreXPos = e.X
        m_iPreYPos = e.Y
    End Sub

    ' SmartDraw에서 Mouse클릭이나 터치하는 경우 발생되는 이벤트
    Private Sub smartDraw1_MouseDown(ByVal sender As Object, ByVal e As MouseEventArgs) Handles smartDraw1.MouseDown
        m_sTempColor = GetColor(smartComboBox1.Text)

        ' Erase 버튼이 눌려있는 경우 Pen색상을 흰색으로 설정하여 지우개처럼 사용합니다.
        If btnErase.ButtonStatus = SmartX.SmartButton.BUTSTATUS.DOWN Then
            m_sTempColor = Color.White
        End If

        smartDraw1.SetPenStyle(m_sTempColor, Convert.ToInt32(smartUpDown1.Value))
        m_iPreXPos = e.X
        m_iPreYPos = e.Y
    End Sub

    Private Sub btnAllClear_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnAllClear.Click
        smartDraw1.Erase()
    End Sub

    ' File Open기능
    Private Sub btnFileOpen_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnFileOpen.Click
        Dim img As Bitmap = New Bitmap(labFilePath.Text)
        smartDraw1.ImageDraw(img, 0, 0)
    End Sub

    ' File Save기능
    Private Sub btnFileSave_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnFileSave.Click
        smartDraw1.Save(labFilePath.Text)
        Application.DoEvents()
    End Sub

    Private Sub labFilePath_Click(ByVal sender As Object, ByVal e As EventArgs) Handles labFilePath.Click
        smartKeyboard1.Show()
        smartKeyboard1.TargetInputObject = labFilePath
    End Sub
End Class
